Bug 146959 - devel/boost-python-libs ignores PYTHON_VERSION
devel/boost-python-libs ignores PYTHON_VERSION
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 09:50 UTC by fujiwara
Modified: 2010-07-24 09:10 UTC (History)
0 users

See Also:


Attachments
file.diff (609 bytes, patch)
2010-05-25 09:50 UTC, fujiwara
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fujiwara 2010-05-25 09:50:01 UTC
 "ports/devel/boost-python-libs" ignores "PYTHON_VERSION"
 while both python 3.1 and python 2.6 installed in one system.

 The port generates libboost_python library for python 2.6
 if I specify "PYTHON_VERSION=3.1" in /etc/make.conf or ports.conf.

Fix: Add "using python : 3.1 ;" into "~/user-config.jam".

  Or apply this patch for "ports/devel/boost-python-libs/Makefile".
How-To-Repeat: 
 My REQUIREMENTS:

  R1. I need to install python 3.1, boost-python-libs for python 3.1
      and sqlite3 to compile BIND 10.

  R2. xorg requires python version 2. (ports/x11/libxcb)

 I did:

  1. installed ports/ports-mgmt/portconf .
     and added three lines to /usr/local/etc/port.conf .

      devel/boost-python-libs: PYTHON_VERSION=python3.1
      devel/py-elementtree: PYTHON_VERSION=python3.1
      databases/py-sqlite3: PYTHON_VERSION=python3.1

     I thoutht that xorg will use python 2.6 and I can use python3.1.

  2. installed "ports/x11/xorg".
     "python2.6" was installed as "/usr/local/bin/python" and was used to make.

  3. installed "ports/databases/py-sqlite3" and "ports/devel/py-elementtree".
     "python3.1" was installed.
  4. installed "ports/devel/boost-python-libs".
     Then,
     boost-python-libs ignores "PYTHON_VERSION=python3.1" and
     generates libboost_python library which calls python 2.6 library.
Comment 1 Edwin Groothuis freebsd_committer 2010-05-25 09:50:10 UTC
Maintainer of devel/boost-python-libs,

Please note that PR ports/146959 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146959

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-05-25 09:50:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 alexanderchuranov 2010-06-16 13:19:26 UTC
I approve the patch.

I've verified that the issue actually exists and that the patch resolves it.

Alexander Churanov,
maintainer of devel/boost-*
Comment 4 Mark Linimon freebsd_committer 2010-06-16 17:33:00 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Max Brazhnikov freebsd_committer 2010-07-11 19:36:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 6 dfilter freebsd_committer 2010-07-24 09:09:49 UTC
makc        2010-07-24 08:09:25 UTC

  FreeBSD ports repository

  Modified files:
    devel/boost-python-libs Makefile 
  Log:
  Respect PYTHON_VERSION
  
  PR:             ports/146959
  Submitted by:   Kazunori Fujiwara <fujiwara at wide.ad.jp>
  Approved by:    Alexander Churanov (maintainer)
  
  Revision  Changes    Path
  1.9       +1 -0      ports/devel/boost-python-libs/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2010-07-24 09:09:50 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!